General Leads
Update essential info and generate AI project description
Updates essential info (customer name, email, phone, address, project info, etc.) and triggers AI-generated detailed project description.
POST
/
general-leads
/
{generalLeadId}
/
essential-info
Update essential info and generate AI project description
curl --request POST \
--url https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/essential-info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"phoneInfo": "<string>",
"addressInfo": "<string>",
"projectInfo": "<string>",
"additionalInfo": "<string>"
}
'import requests
url = "https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/essential-info"
payload = {
"customerName": "<string>",
"email": "<string>",
"phone": "<string>",
"phoneInfo": "<string>",
"addressInfo": "<string>",
"projectInfo": "<string>",
"additionalInfo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerName: '<string>',
email: '<string>',
phone: '<string>',
phoneInfo: '<string>',
addressInfo: '<string>',
projectInfo: '<string>',
additionalInfo: '<string>'
})
};
fetch('https://www.renovationfind.com/rest-manager-api-v1/general-leads/{generalLeadId}/essential-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"detailedProjectDescription": "<string>",
"success": true
},
"message": "<string>"
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Path Parameters
Body
application/json
⌘I
Update essential info and generate AI project description

